<template>
  <div class="flex_home_wrap" v-bind:style="{ 'background-image': 'url(' + author.home_back_image + ')' }">
    <div class="home_wrap">
        <h1>{{author.author_name }}<br/>{{author.author_surname}}</h1>
        <div class="author_description">{{author.author_occupation}}</div>
    </div>
  </div>
</template>


<script>

export default {
  name: 'home',
  computed: {
    author () {
      return this.$store.state.genInfo
    }
  },
  created () {
    this.$store.dispatch('getGeneralInfo')
    this.$store.commit('setLoadpage', true)
  },
}
</script>

<style>
  /* .flex_home_wrap { */
  .flex_home_wrap {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    z-index: -100;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover
  }

  .home_wrap h1, .home_wrap div {
    color: #fff;
  }

  .home_wrap h1 {
    text-transform: uppercase;
    font-size: 58px;
  }

  .home_wrap div {
    margin-top: 40px;
    font-size: 17px;
    letter-spacing: 5px;
  }

  @media only screen and (max-width: 768px) {
    .home_wrap h1 { font-size: 60px; }
    .home_wrap div { font-size: 24px; }
  }

  @media only screen and (max-width: 510px) {
    .home_wrap h1 { font-size: 36px; }
    .home_wrap div { font-size: 21px; }
  }
</style>
